Package plugins :: Package core :: Package complete :: Module domain_service :: Class Domain |
[hide private]
[frames] | no frames]

# Class Domain

source code

                object --+
                         |
    domain_base.BaseDomain --+
                             |
                            Domain

service(8) domain

Instance Methods | [hide private]
complete(self, buf) Take current buffer and return list-generator of all matched entries in current domain. | source code
Inherited from `domain_base.BaseDomain`: `__init__`, `finalize`, `prepare` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables | [hide private]
| INITD_DIR = `"/etc/init.d"`

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### complete(self, buf) | source code
    Take current buffer and return list-generator of all
            matched entries in current domain.

    @param buf: Current buffer
    @return: list-generator
Overrides: domain_base.BaseDomain.complete